> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deliveryman.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Contact Lists

> Retrieves all contact lists in this user account. If `workspace_id` query parameter is provided, only fetches lists from that workspace.



## OpenAPI

````yaml /openapi.yml get /api/v1/contacts/
openapi: 3.1.1
info:
  title: DeliverymanAI API
  version: 1.0.0
  description: >-
    API documentation for DeliverymanAI, a Cold Email Management and Automation
    platform. This API provides endpoints for managing campaigns, contacts,
    email sequences, and related services.
servers:
  - url: https://api.deliveryman.ai
    description: Deliveryman API Server
security: []
paths:
  /api/v1/contacts/:
    get:
      tags:
        - Contact List
      summary: List all Contact Lists
      description: >-
        Retrieves all contact lists in this user account. If `workspace_id`
        query parameter is provided, only fetches lists from that workspace.
      operationId: contacts_retrieve
      parameters:
        - in: query
          name: limit
          schema:
            maximum: 100
            minimum: 1
            title: Limit
            type: integer
          description: >-
            Maximum number of records to fetch in the current page. Must be
            between 1 and 100.
          required: true
        - in: query
          name: offset
          schema:
            minimum: 0
            title: Offset
            type: integer
          description: >-
            Number of records to skip before fetching the results.For example,
            an offset of 0 starts at the beginning, while an offset of 50
            fetches records starting from the 51st. If offset is greater than
            number of records available, results will be empty.
          required: true
        - in: query
          name: workspace_id
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Workspace Id
          description: Fetch contact lists from this workspace only.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAllContactListsResponse'
          description: Success
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleMessageResponse'
          description: Bad Request
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleMessageResponse'
          description: Not Found
        '500':
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GetAllContactListsResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/GetAllContactLists'
        total:
          type: integer
          minimum: 0
          description: >-
            Total number of contact lists in workspace if `workspace_id` is
            provided. Otherwise across all workspaces.
      required:
        - data
        - total
    SimpleMessageResponse:
      type: object
      properties:
        message:
          type: string
      required:
        - message
    GetAllContactLists:
      type: object
      properties:
        uid:
          type: string
          description: UID of this contact list.
          maxLength: 255
        workspace_id:
          type: integer
          readOnly: true
          description: ID of workspace this contact list belongs to.
        name:
          type: string
          description: Name of the contact list.
          maxLength: 300
        created_on:
          type: string
          format: date-time
          readOnly: true
          description: >-
            Timestamp of when the contact list was created. ISO format date
            string in UTC timezone.
        status:
          type: string
          description: Current status of the contact list.
          maxLength: 100
        source:
          type: string
          description: Source of the contact list.
          maxLength: 300
        available_columns:
          description: List of columns available in the contact list.
        has_unsubscribe_column:
          type: boolean
          description: Indicates if the contact list contains an unsubscribe column.
        unsubscribe_column_name:
          type:
            - string
            - 'null'
          description: Name of the unsubscribe column, if present.
          maxLength: 300
      required:
        - created_on
        - name
        - uid
        - workspace_id
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key
      description: 'Enter your API key in the format: X-Api-Key <your_key>'

````